Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.sequencer.classfile.metadata
Enum Visibility

    java.lang.Object
      java.lang.Enum<Visibility>
          org.modeshape.sequencer.classfile.metadata.Visibility

All Implemented Interfaces:
  Serializable, Comparable<Visibility>

    public enum Visibility

extends Enum<Visibility>

Enum Constant Summary
`PACKAGE`
`PRIVATE`
`PROTECTED`
`PUBLIC`

Method Summary
`static Visibility` | `fromAccessFlags(int accessFlags)`
`String` | `getDescription()`
`String` | `toString()`
`static Visibility` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Visibility[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PUBLIC

    public static final Visibility PUBLIC

### PROTECTED

    public static final Visibility PROTECTED

### PACKAGE

    public static final Visibility PACKAGE

### PRIVATE

    public static final Visibility PRIVATE

Method Detail

### values

    public static Visibility[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Visibility c : Visibility.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Visibility valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getDescription

    public String getDescription()

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Visibility>`

### fromAccessFlags

    public static Visibility fromAccessFlags(int accessFlags)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.